# Uses of Class
org.apache.cxf.common.logging.AbstractDelegatingLogger

Packages that use AbstractDelegatingLogger
Package
Description
org.apache.cxf.common.logging

- ## Uses of AbstractDelegatingLogger in org.apache.cxf.common.logging

  Subclasses of AbstractDelegatingLogger in org.apache.cxf.common.logging
  Modifier and Type
  Class
  Description
  `class`
  `Slf4jLogger`
  java.util.logging.Logger implementation delegating to SLF4J.
  Method parameters in org.apache.cxf.common.logging with type arguments of type AbstractDelegatingLogger
  Modifier and Type
  Method
  Description
  `static void`
  LogUtils.`setLoggerClass(Class<? extends AbstractDelegatingLogger> cls)`
  Specify a logger class that inherits from `AbstractDelegatingLogger`.